#ifndef COMMON_CK
#define COMMON_CK

using namespace System;

namespace cmmn {

	extern double * smpl_mu1, *smpl_mu2, *smpl_sgm1, *smpl_sgm2, *smpl_rho;
	extern int n_data;

	inline double sqr(double v){
		return v * v;
	}

	void qSort(double * d, int Lb, int Ub);

	double k_smoother(double x, double * samples, int N, double sgm);
}

#endif
